#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[]) {
    char buf[BUFSIZ];
    
    printf("%d\n", BUFSIZ);

    setbuf(stdout, buf);
   
	printf("A line of output.\n");
    printf("Another line of output.\n");
    printf("1 + 2 = %d\n", 1 + 2);
	char ch = getch();

    fflush(stdout);
    
	return 0;
}


    
